# event_mouse.h File Reference

Template Header. More...

`#include <synfig/vector.h>`
`#include "smach.h"`
`#include <gdkmm/types.h>`

Go to the source code of this file.

## Namespaces

namespace | studio

## Classes

struct | studio::EventMouse
struct | studio::EventBox

## Enumerations

enum | studio::MouseButton { studio::BUTTON_NONE, studio::BUTTON_LEFT, studio::BUTTON_MIDDLE, studio::BUTTON_RIGHT, studio::BUTTON_UP, studio::BUTTON_DOWN, studio::BUTTON_END }

## Detailed Description

Template Header.

$Id$